%define subver v473
# ns-install
%define vregver 4.73.0.20000502

Summary:		Netscape tools, including a Web browser, news reader and e-mail client 
Name: 			netscape
Version:		4.73
Release:		3mdk
Copyright:		Commercial
Group:			Networking/WWW

Source0:		communicator-%{subver}-export.x86-unknown-linuxglibc2.0.tar.bz2	
Source1:		navigator-%{subver}-export.x86-unknown-linuxglibc2.0.tar.bz2	
Source4:		netscape-com.sh
#Source5:		netscape-communicator.desktop
#Source6:		netscape-navigator.desktop
Source7:		Netscape-keys.diff.bz2

Source8:		navigator.menu
Source9:		communicator.menu
Source14:		netscape-icons.tar.bz2

Source15:		netscape-preferences.js

Buildroot:		%{_tmppath}/%{name}-%{version}-root
Exclusivearch:	i386 i486 i586 i686 k6 k7


%description
Netscape Navigator/Communicator is the industry-leading Web browser.
It supports the latest HTML standards, Java, JavaScript and some
style sheets. It also includes a full-featured Usenet news reader
as well as a complete e-mail client.

%package common
Requires:	indexhtml, compat-glibc >= 5.3-2.0.7.4mdk, compat-libs >= 5.3-4mdk, perl, mozilla-fonts >= 20000310-3mdk
Obsoletes:	nls, netscape-128-communicator < %{version}-%{release}, netscape-128-navigator < %{version}-%{release}, netscape-communicator, netcape-navigator
Conflicts:	netscape-communicator > %{version}-%{release}, netscape-128-navigator > %{version}-%{release}, netscape-128-common
Summary:	Files shared by the Netscape Navigator and Communicator
Group:		Networking/WWW

%description common
This package contains the files that are shared between the
Netscape Navigator Web browser and the Netscape Communicator
suite of tools (the Navigator Web browser, an e-mail client,
a news reader and Web page editor).

Install the netscape-common package if you're installing the
netscape-navigator or the netscape-communicator program.


%package communicator
Requires:	netscape-common = %{version}-%{release}
Provides:	webclient, netscape4, netscape
Conflicts:	netscape-navigator = %{version}-%{release}, netscape-128-communicator, netcape-128-navigator, netscape-128-common
Summary:	Netscape tools, including a Web browser, news reader and e-mail client
Group:		Networking/WWW

%description communicator
Netscape Communicator is the industry-leading Web browser. It supports
the latest HTML standards, Java, JavaScript and some style sheets.
It also includes a full-featured Usenet news reader as well as a
complete e-mail client.

Information on the Netscape Communicator license may be fund in
the file /usr/doc/netscape-common-%{version}/LICENSE.

%package navigator
Requires:	netscape-common = %{version}-%{release}
Provides:	webclient, netscape4, netscape
Conflicts:	netscape-communicator = %{version}-%{release}, netscape-128-communicator, netcape-128-navigator, netscape-128-common
Summary:	The Netscape Navigator Web browser
Group:		Networking/WWW

%description navigator
Netscape Navigator is the industry-leading Web browser. It supports
the latest HTML standards, Java, JavaScript and some style sheets.

Information on the Netscape Navigator license may be found in the file
/usr/doc/netscape-common-%{version}/LICENSE.

This will install the basic Netscape Navigator Web browser.
If you want additional features, such as the Usenet news reader and
HTML editor, you should install the netscape-communicator package.

%prep

%setup -c -b 1
mv communic*/* .
rmdir communicator*

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin \
	$RPM_BUILD_ROOT/usr/lib/netscape/plugins \
	$RPM_BUILD_ROOT/usr/lib/netscape/java/classes

for I in *.nif; do
	tar -C $RPM_BUILD_ROOT/usr/lib/netscape -xzvf $I
done
mv $RPM_BUILD_ROOT/usr/lib/netscape/netscape $RPM_BUILD_ROOT/usr/lib/netscape/netscape-communicator
cp -a vreg $RPM_BUILD_ROOT/usr/lib/netscape
cp -a *.jar $RPM_BUILD_ROOT/usr/lib/netscape/java/classes
echo 'Communicator,%{vregver},/usr/lib/netscape' > /tmp/infile
./vreg $RPM_BUILD_ROOT/usr/lib/netscape/registry /tmp/infile
rm -f /tmp/infile

# get the netscape-navigator binary now
tar xvyf %{SOURCE1} '*/netscape-%{subver}.nif'
tar xvzf navigator*/netscape-%{subver}.nif netscape
install -m 755 netscape $RPM_BUILD_ROOT/usr/lib/netscape/netscape-navigator

install -m 755 $RPM_SOURCE_DIR/netscape-com.sh $RPM_BUILD_ROOT/usr/bin/netscape

# put this stuff into the doc directory
mv $RPM_BUILD_ROOT/usr/lib/netscape/{LICENSE,README,Netscape.ad} .

#mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Internet
#cp -av $RPM_SOURCE_DIR/netscape-communicator.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Internet/netscape-communicator.desktop
#cp -av $RPM_SOURCE_DIR/netscape-navigator.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Internet/netscape-navigator.desktop


ln -s netscape $RPM_BUILD_ROOT/usr/bin/netscape-navigator
ln -s netscape $RPM_BUILD_ROOT/usr/bin/netscape-communicator

rm -f `find $RPM_BUILD_ROOT -path "*dynMotif*"`

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
install -m 444 Netscape.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Netscape

(
    cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/
    bzcat %{SOURCE7}|patch
)

install -m 644 %{SOURCE15} $RPM_BUILD_ROOT/usr/lib/netscape/preferences.js

## Menu
install -d $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE8} $RPM_BUILD_ROOT/usr/lib/menu/$(basename %{SOURCE8}|sed 's|\.menu$||')
install -m644 %{SOURCE9} $RPM_BUILD_ROOT/usr/lib/menu/$(basename %{SOURCE9}|sed 's|\.menu$||')

mkdir -p $RPM_BUILD_ROOT/usr/share/icons
cd $RPM_BUILD_ROOT/usr/share/icons
tar yxvf %{SOURCE14}


# Make rpmlint happy
chmod 0755 $RPM_BUILD_ROOT/usr/lib/netscape/java/classes/hpux/*
chmod 0755 $RPM_BUILD_ROOT/usr/lib/netscape/libjsd.so
chmod 0755 $RPM_BUILD_ROOT/usr/lib/netscape/plugins/libnullplugin.so
chmod 0755 $RPM_BUILD_ROOT/usr/lib/netscape/plugins/cpPack1.jar
chmod 0755 $RPM_BUILD_ROOT/usr/lib/netscape/netscape-communicator


%post communicator
## menu
if [ -x /usr/bin/update-menus ]; then
	/usr/bin/update-menus
fi

%postun communicator
## menu
if [ "$1" = 0 ]; then
	if [ -x /usr/bin/update-menus ]; then
		usr/bin/update-menus
	fi
fi

%post navigator
## menu
if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
fi

%postun navigator
## menu
if [ "$1" = 0 ]; then
    if [ -x /usr/bin/update-menus ]; then
	        usr/bin/update-menus
	fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files common
%defattr(-,root,root,-)
/usr/bin/netscape
%dir /usr/lib/netscape
%docdir /usr/lib/netscape/nethelp
%doc README LICENSE Netscape.ad
/usr/lib/netscape/bookmark.htm
/usr/lib/netscape/java
# rplint is not happy (shared-lib-without-dependency-information) but we can't
# do nothing
/usr/lib/netscape/libjsd.so

# rpmlint is not happy (setgid-binary) but we want this
%attr(2755,root,mail) /usr/lib/netscape/movemail

/usr/lib/netscape/movemail-src
/usr/lib/netscape/nethelp
/usr/lib/netscape/registry
/usr/lib/netscape/spell
/usr/lib/netscape/vreg
# rpmlint says unstripped-binary-or-object. It's right but if Netscape don't
# strip, we don't strip
# rplint is not happy (shared-lib-without-dependency-information) but we can't
# do nothing
/usr/lib/netscape/plugins

/usr/lib/netscape/preferences.js
/usr/share/icons/mini/*xpm
/usr/share/icons/*xpm
# rpmlint is not happy (file-in-usr-marked-as-conffile,
# app-defaults-must-not-be-conffile) but it's wrong
%config /usr/X11R6/lib/X11/app-defaults/Netscape


###################
%files navigator
%defattr(-,root,root)
#%config(missingok) /etc/X11/applnk/Internet/netscape-navigator.desktop
/usr/bin/netscape-navigator
/usr/lib/netscape/netscape-navigator
/usr/lib/menu/navigator*



###################
%files communicator
%defattr(-,root,root)
#%config(missingok) /etc/X11/applnk/Internet/netscape-communicator.desktop
/usr/bin/netscape-communicator
/usr/lib/netscape/netscape-communicator
/usr/lib/menu/communicator*

%post common
if [ -x /usr/sbin/chkfontpath ]; then
   if [ -d /usr/X11R6/lib/X11/fonts/75dpi ]; then
      /usr/sbin/chkfontpath --list | grep /usr/X11R6/lib/X11/fonts/75dpi | \
      grep -q -v unscaled || /usr/sbin/chkfontpath -q --add /usr/X11R6/lib/X11/fonts/75dpi
   fi
fi

%changelog
* Tue May 08 2000 David BAUDENS <baudens@mandrakesoft.com> 4.73-3mdk
- Readd session-management

* Sun May 07 2000 David BAUDENS <baudens@mandrakesoft.com> 4.73-2mdk
- Fix vreg version (thanks Giuseppe)

* Sat May 06 2000 David BAUDENS <baudens@mandrakesoft.com> 4.73-1mdk
- 4.73

* Fri May 05 2000 David BAUDENS <baudens@mandrakesoft.com> 4.72-14mdk
- Fix a stupid typo in Requires

* Fri May 05 2000 David BAUDENS <baudens@mandrakesoft.com> 4.72-13mdk
- Remove .desktop
- Use TT fonts every time

* Wed May 03 2000 Jerome Martin <jerome@mandrakesoft.com> 4.72-12mdk
- Fixed stupid menu entry for composer

* Tue Apr 25 2000 Vincent Saugey <vince@mandrakesoft.com> 4.72-11mdk
- Fix menu entry

* Sat Apr 22 2000 David BAUDENS <baudens@mandrkesoft.com> 4.72-10mdk
- Fix a really stupid typo

* Fri Apr 21 2000 David BAUDENS <baudens@mandrakesoft.com> 4.72-9mdk
- Fix some typos

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 4.72-8mdk
- Session management
- Comment ~/.netscape/.ttf_done

* Thu Apr 13 2000 David BAUDENS <baudens@mandrakesoft.com> 4.72-7mdk
- Use Verdana font, (c) Microsoft :;(,  by default if available (I'm looking
  for a free True Type font similar as Verdana font. If you know where find
  it, write me)
- Make rpmlint happy

# 6mdk is reserved

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.72-5mdk
- Try to get icons for menu entry.
- Another fix, don't include /usr/share/menu (if you include it don't
  do as 700 :\).

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.72-4mdk
- Fix %post.
- Fix all menu entry, renaming adding killing and even get them working.

* Fri Mar 31 2000 David BAUDENS <baudens@mandrakesoft.com> 4.72-3mdk
- Fix 2 typos in %%post

* Fri Mar 31 2000 David BAUDENS <baudens@mandrakesoft.com> 4.72-2mdk
- Enable menu
- Add some provides
- Add some nice icons

* Tue Feb 24 2000 - David BAUDENS <baudens@mandrakesoft.com> - 4.72-1mdk
- 4.72 - 128 bits version is available in crypto
- Don't install 56 & 128 bits versions (one or other but not both)
- Fix .desktop

* Thu Feb 17 2000 - David BAUDENS <baudens@mandrakesoft.com> - 4.70-7mdk
- Fix use on i486 & i686
- Fix problem with blank page
- Use %%{_tmppath} for BuildRoot

* Fri Dec 31 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix PATH for pidof

* Mon Dec 20 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Don't install Navigator & Communicator (one or other but not both)

* Thu Dec 16 1999 Pixel <pixel@mandrakesoft.com>
- movemail setgid mail (again)

* Mon Dec 13 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build for new compat-glibc
- Fix some typos

* Sun Oct 16 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Update to 4.7
- Fix timezone bug (patch from Bill Nottingham <notting@redhat.com>
  in netscape-com.sh)

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch from pablo to have a true Netscape.ad (Hey this one is work !!!)

* Wed Sep 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix the netscape.sh to start /usr/doc/HTML/index.html if no argument is
  defined.

* Tue Sep 14 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix %%post
- Correct Version so updates don't f**k up
- Add some to Exclusivearch (why is this even here?)

* Sat Sep 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- merged with Bill Nottingham <notting@redhat.com>'s netscape-com.sh
  solution to pass through compat libs, including H. Peter Anvin and
  Dave Cinege's wrapper.

  Seems there no way to avoid compat libs for netscape glibc2.0 based
  version under glibc2.1.X system.

* Wed Jul 21 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- glibc2 ver

* Wed Jun 16 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- Use libc5 version, because the glibc version is linked against 2.0.7
  and Mandrake uses 2.1.1. This stops the crashes with Composer at last.

* Tue Jun 15 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Update to 4.61
- hope it fixes all the known bugs ;)
- bzip2 sources

* Thu May 20 1999 Jacques Le Marois <lemarois@mandrakesoft.com>
- Fixing keys in ad files and removing strange features

* Thu May 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fixing keys in ad files.

* Tue May 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reintegrating the psychosis script.

* Mon May 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 4.60

* Mon May 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Windows(c) Microsoft All right Reserved Sucks, keys binding.

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- rewrite startup script to be sane

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- move requires/obsoletes to the right place in the spec file.

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- update to 4.51
- build on sparc. Wheee.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 8)

* Tue Mar 16 1999 Bill Nottingham <notting@redhat.com>
- applink -> applnk
- make subpackages require versions

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- wmconfig -> applink

* Fri Jan 22 1999 Bill Nottingham <notting@redhat.com>
- fix netscape script for other locales
- remove LD_PRELOAD (ns is now linked against libBrokenLocale....)

* Sun Jan 10 1999 Bill Nottingham <notting@redhat.com>
- spec file cosmetics

* Sun Dec 13 1998 Bill Nottingham <notting@redhat.com>
- update to 4.08

* Tue Oct  6 1998 Bill Nottingham <notting@redhat.com>
- update to 4.07

* Tue Aug 18 1998 Bill Nottingham <notting@redhat.com>
- updated to 4.06

* Fri Jul 10 1998 Cristian Gafton <gafton@redhat.com>
- modified to load libBrokenLocale.so.1, so that glibc-devel is no longer
  required

* Thu Jun 11 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 11 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Jun 10 1998 Erik Troan <ewt@redhat.com>
- replaced LANG=C with a preload of libBrokenLocale.so
- don't point to our html page if a home page is set in the user's preferences
- added missing " to wmconfig files "

* Mon May 04 1998 Erik Troan <ewt@redhat.com>
- added LANG=C to netscape start wrapper

* Thu Apr 02 1998 Erik Troan <ewt@redhat.com>
- update to netscape 4.05
- moved common files to netscape-common package which both navigator and
  communicator require
- made relocateable (needs RPM >= 2.4.103 to relocate properly)

* Fri Jan 23 1998 Erik Troan <ewt@redhat.com>
- initial package is rel 3, works on RH 4.x and RH 5.x
